summaryrefslogtreecommitdiff
path: root/2.2
diff options
context:
space:
mode:
authorChristian Heim <phreak@gentoo.org>2007-06-03 12:57:53 +0000
committerChristian Heim <phreak@gentoo.org>2007-06-03 12:57:53 +0000
commit518342ab7c79756fc3aaec6630b2a49d42d208b8 (patch)
treed4f02a168490ac180dce59a83af5224b07ca1109 /2.2
parentUpdated itk patch, aligning to a untouched (as in no other experimental MPM) ... (diff)
downloadapache-518342ab7c79756fc3aaec6630b2a49d42d208b8.tar.gz
apache-518342ab7c79756fc3aaec6630b2a49d42d208b8.tar.bz2
apache-518342ab7c79756fc3aaec6630b2a49d42d208b8.zip
Implement /etc/init.d/apache2 modules to get a list of all loaded modules.
Diffstat (limited to '2.2')
-rwxr-xr-x2.2/init/apache2.initd10
1 files changed, 8 insertions, 2 deletions
diff --git a/2.2/init/apache2.initd b/2.2/init/apache2.initd
index 3c0f15e..b699fc6 100755
--- a/2.2/init/apache2.initd
+++ b/2.2/init/apache2.initd
@@ -1,8 +1,8 @@
#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-opts="configtest fullstatus graceful gracefulstop reload"
+opts="configtest fullstatus graceful gracefulstop modules reload"
depend() {
need net
@@ -101,6 +101,12 @@ gracefulstop() {
eend $?
}
+modules() {
+ checkconfig || return 1
+
+ ${APACHE2} ${APACHE2_OPTS} -M 2>&1
+}
+
status() {
LYNX="${LYNX:-lynx -dump}"
STATUSURL="${STATUSURL:-http://localhost/server-status}"